open Cmdid
open Protocol
open Packet

let on_get_avatar_data pk =
  let dec = Pbrt.Decoder.of_string pk.body in
  let req = decode_pb_get_avatar_data_cs_req dec in

  let rsp = default_get_avatar_data_sc_rsp
    ~is_all:req.is_get_all
    ~avatar_list:[
      default_avatar
        ~base_avatar_id:1222l
        ~level:80l
        ~promotion:6l
        ~rank:6l
        ()
    ]
    () in

  pack cmd_get_avatar_data_sc_rsp encode_pb_get_avatar_data_sc_rsp rsp

let on_get_multi_path_avatar_info _pk = empty cmd_get_multi_path_avatar_info_sc_rsp
